# $Revision: 1.39 $, $Date: 2011/08/16 10:14:11 $
#
# TODO:	- separate plugins/*
#
Summary:	A powerful GTK+2 media player
Summary(pl.UTF-8):	Potężny odtwarzacz multimediów oparty na GTK+2
Name:		exaile
Version:	0.3.2.2
Release:	1
# GPL v2 in COPYING; GPL v1+ in license.txt; Artistic/Perl in lib/wmainfo.py
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://launchpad.net/exaile/0.3.2/%{version}/+download/%{name}-%{version}.tar.gz
# Source0-md5:	b3fd87e40af6592df0b511183ca49408
URL:		http://www.exaile.org/
BuildRequires:	gettext-devel
BuildRequires:	help2man
BuildRequires:	intltool
BuildRequires:	python-pygtk-devel >= 2:2.18.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	which
Requires:	gstreamer-plugins-base >= 0.10
Requires:	gstreamer-plugins-good >= 0.10
Requires:	python-dbus >= 0.71
Requires:	python-gstreamer
Requires:	python-mutagen
Requires:	python-pygobject >= 2.26.0
Requires:	python-pygtk-glade >= 2:2.18.0
Requires:	python-sqlite
Suggests:	brasero
Suggests:	gstreamer-audiosink
Suggests:	gstreamer-mad
Suggests:	k3b
Suggests:	python-gnome-extras-mozilla
Suggests:	serpentine
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Exaile is a media player aiming to be similar to KDE's AmaroK, but for
GTK+2. It incorporates many of the cool things from AmaroK (and other
media players).

Some of the features are:
- automatic fetching of album art
- handling of large libraries
- lyrics fetching
- artist/album information via the wikipedia
- last.fm support
- optional iPod support (assuming you have python-gpod installed)
- builtin shoutcast directory browser
- tabbed playlists
- blacklisting of tracks
- downloading of guitar tabs from fretplay.com
- submitting played tracks on the iPod to last.fm

%description -l pl.UTF-8
Exaile to odtwarzacz multimediów mający być podobny do AmaroKa, ale
dla GTK+2. Łączy wiele dobrych cech AmaroKa (i innych odtwarzaczy
multimediów).

Niektóre możliwości to:
- automatyczne pobieranie okładki albumu
- obsługa dużych bibliotek
- pobieranie tekstów utworów
- informacje o wykonawcy/albumie z wikipedii
- obsługa last.fm
- opcjonalna obsługa iPoda (przy zainstalowanym pakiecie python-gpod)
- wbudowana przeglądarka katalogów shoutcastów
- playlisty z zakładkami
- czarna lista ścieżek
- ściąganie tabulatur gitarowych z fretplay.com
- przesyłanie ścieżek odtworzonych na iPodzie do last.fm

%prep
%setup -q

# useless, there are bigger correspondent locales
%{__rm} po/frp.po

%build
%{__make} \
	PREFIX=%{_prefix} \
	LIBINSTALLDIR=/%{_lib}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PREFIX=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBINSTALLDIR=/%{_lib}

# unsupported
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/zh

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_sysconfdir}/xdg/exaile
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/exaile/settings.ini
%{_libdir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/data
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%{_mandir}/man1/exaile.1*
# maybe seperate subpackages for plugins?
%{_datadir}/%{name}/plugins

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: exaile.spec,v $
Revision 1.39  2011/08/16 10:14:11  lisu
- updated to 0.3.2.2
- runs, works, rel 1
- dropped obsoleted rms

Revision 1.38  2011/02/21 09:48:02  lisu
- up to 0.3.2.1
- does not run (TODO), rel 0.1

Revision 1.37  2011/02/02 02:40:39  sparky
- BR: which

Revision 1.36  2011/02/02 02:39:25  sparky
- BR: rpm-pythonprov

Revision 1.35  2010/10/19 17:26:33  lisu
- S: gstreamer-audiosink, gstreamer-mad
- rel 3

Revision 1.34  2010/10/19 14:22:51  lisu
- drop unsupported zh locale
- rel 2

Revision 1.33  2010/10/19 14:08:41  lisu
- %%make simplification
- BR: help2man
- clean up

Revision 1.32  2010/10/19 13:56:23  lisu
- use %%find_lang macro
- package man page

Revision 1.31  2010/10/19 13:39:23  lisu
- updated to 0.3.2.0
- R: python-pygobject >= 2.26.0
- adapterized

Revision 1.30  2009/12/24 10:37:26  uzsolt
- LIBINSTALLDIR fix (because of x86_64)

Revision 1.29  2009/12/24 09:22:55  uzsolt
- 0.3.0.2
- use "make install"

Revision 1.28  2009/03/13 21:51:47  hawk
- release 2

Revision 1.27  2008/10/10 21:50:04  qwiat
- up to 0.2.14

Revision 1.26  2008/09/19 23:50:25  qwiat
- valid icon name

Revision 1.25  2008/05/16 13:00:45  dzeus
- up to 0.2.13

Revision 1.24  2008-03-26 16:28:38  qboosh
- python-pygtk epoch

Revision 1.23  2008-03-26 08:11:29  sls
- BR: gettext-devel, intltool

Revision 1.22  2008-03-26 05:47:02  sls
- rel. 1

Revision 1.21  2008-03-26 05:17:34  sls
- actually Suggests: python-gnome-extras-mozilla
- more TODO
- more mess with License

Revision 1.20  2008-03-26 05:01:01  sls
- Suggests: python-gnome-extras
- added TODO

Revision 1.19  2008-03-26 04:38:27  sls
- Suggests: misc-cdburners

Revision 1.18  2008-03-26 04:31:03  sls
- locale fixes

Revision 1.17  2008-03-26 04:28:04  sls
- make install is useless
- remove FHS.patch
- update files section

Revision 1.16  2008-03-25 23:39:43  sls
- more info about License
- removed python-2.5.patch; updated FHS.patch
- fixes in files section

Revision 1.15  2008-03-25 23:19:03  sls
- works with standard setup macro

Revision 1.14  2008-03-25 23:17:38  sls
- ver. 0.2.12 (NFY)

Revision 1.13  2007/03/29 14:13:40  radek
- R: python-pygtk-glade

Revision 1.12  2007/03/03 10:52:40  shadzik
- since when releases start from 2 ?
- rel 1 !

Revision 1.11  2007/03/03 10:40:00  czarny
- up to 0.2.10b

Revision 1.10  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.8  2007/01/09 22:56:22  patrys
- actually fix FHS

Revision 1.7  2007/01/09 09:12:25  sls
- mmkeys.so installed in python_sitearch (FHS.patch fixed)

Revision 1.6  2007/01/09 08:42:51  sls
- 0.2.8
- added FHS.patch
- added R: python-{gstreamer,mutagen,sqlite}
- added dir with plugins

Revision 1.5  2006/11/13 22:26:42  qboosh
- pl, cleanup; needs FHS fix

Revision 1.4  2006/11/12 18:42:14  patrys
- make it work

Revision 1.3  2006/11/12 18:32:17  patrys
- proper R:

Revision 1.2  2006/11/12 18:31:20  patrys
- build and package properly

Revision 1.1  2006/11/09 20:38:31  aredridel
- added, NFY
